metron-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Leet <justinjl...@gmail.com>
Subject Build failures because of transitive dependencies.
Date Wed, 22 Feb 2017 14:07:51 GMT
Long story short, geoip2 lib behaves badly and one of its dependencies
pulls in an open ended range of jackson-databind which is breaking our
build as it tries to pull in 2.9.0-SNAPSHOT. See:
https://github.com/maxmind/GeoIP2-java/issues/77

As noted in that thread, the easy solution is to just <exclude> jackson and
pull in ours.  The catch is that geoip2 specifies a slightly higher version
of jackson than we globally use (2.8.x instead of 2.7.x).  Adding the
exclusion does allow for compiling, but I haven't tested anything.

I'd like to get thoughts on our preferred way to fix this.  E.g. add the
exclusion alone and test?  Bump the jackson version in enrichments
specifically and test? bump the whole version and test?

Ticket to track
https://issues.apache.org/jira/browse/METRON-734

Thanks, Justin

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message